local ldb = LibStub:GetLibrary("LibDataBroker-1.1")

local core = Critline


local dmg = ldb:NewDataObject("Critline damage", {
	type = "data source",
	icon = CRITLINE_DMG_ICON,
	OnClick = function(_, msg)
		-- if msg == "LeftButton" then
			InterfaceOptionsFrame_OpenToCategory(core.settings.basic)
		-- end
	end,
	OnTooltipShow = function(self)
		core.display:AddTooltipText(core:GetSummaryRichText("dmg"))
	end
})

local heal = ldb:NewDataObject("Critline healing", {
	type = "data source",
	icon = CRITLINE_HEAL_ICON,
	OnClick = function(_, msg)
		-- if msg == "LeftButton" then
			InterfaceOptionsFrame_OpenToCategory(core.settings.basic)
		-- end
	end,
	OnTooltipShow = function(self)
		core.display:AddTooltipText(core:GetSummaryRichText("heal"))
	end
})

local pet = ldb:NewDataObject("Critline pet", {
	type = "data source",
	icon = CRITLINE_PET_ICON,
	OnClick = function(_, msg)
		-- if msg == "LeftButton" then
			InterfaceOptionsFrame_OpenToCategory(core.settings.basic)
		-- end
	end,
	OnTooltipShow = function(self)
		core.display:AddTooltipText(core:GetSummaryRichText("pet"))
	end
})

core:OnUpdateRegister(function()
	dmg.text = NORMAL_FONT_COLOR_CODE.."D: "..FONT_COLOR_CODE_CLOSE..core:GetHighest("dmg", "normal").."/"..core:GetHighest("dmg", "crit")
	heal.text = NORMAL_FONT_COLOR_CODE.."H: "..FONT_COLOR_CODE_CLOSE..core:GetHighest("heal", "normal").."/"..core:GetHighest("heal", "crit")
	pet.text = NORMAL_FONT_COLOR_CODE.."P: "..FONT_COLOR_CODE_CLOSE..core:GetHighest("pet", "normal").."/"..core:GetHighest("pet", "crit")
end)